Bug 1701845 - CVE-2019-11372 CVE-2019-11373 mediainfo: various flaws [fedora-all]
Summary: CVE-2019-11372 CVE-2019-11373 mediainfo: various flaws [fedora-all]
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mediainfo
Version: 29
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Vasiliy Glazov
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Security, SecurityTracking
Depends On:
Blocks: CVE-2019-11372 CVE-2019-11373
TreeView+ depends on / blocked
 
Reported: 2019-04-22 09:13 UTC by Dhananjay Arunesh
Modified: 2019-05-31 00:42 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2019-05-25 01:04:46 UTC


Attachments (Terms of Use)

Description Dhananjay Arunesh 2019-04-22 09:13:51 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of fedora-all.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

Comment 1 Dhananjay Arunesh 2019-04-22 09:13:53 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# low, medium, high, urgent (required)
severity=medium

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1701840,1701844,1701845

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Fedora Update System 2019-05-15 09:38:55 UTC
mediaconch-18.03.2-7.fc30 libmediainfo-19.04-1.fc30 mediainfo-19.04-1.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-1736c1268d

Comment 3 Fedora Update System 2019-05-15 09:39:01 UTC
mediaconch-18.03.2-7.fc29 libmediainfo-19.04-1.fc29 mediainfo-19.04-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-b7cf3236fb

Comment 4 Fedora Update System 2019-05-15 09:39:06 UTC
libmediainfo-19.04-1.el6 mediainfo-19.04-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-2f5f6c5ba9

Comment 5 Fedora Update System 2019-05-15 09:39:11 UTC
mediaconch-18.03.2-7.el7 libmediainfo-19.04-1.el7 mediainfo-19.04-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-0d44655ca3

Comment 6 Fedora Update System 2019-05-15 09:39:15 UTC
mediaconch-18.03.2-7.fc28 libmediainfo-19.04-1.fc28 mediainfo-19.04-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-7155125125

Comment 7 Fedora Update System 2019-05-16 01:50:12 UTC
libmediainfo-19.04-1.el7, mediaconch-18.03.2-7.el7, mediainfo-19.04-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-0d44655ca3

Comment 8 Fedora Update System 2019-05-16 02:36:21 UTC
libmediainfo-19.04-1.fc30, mediaconch-18.03.2-7.fc30, mediainfo-19.04-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-1736c1268d

Comment 9 Fedora Update System 2019-05-16 03:21:46 UTC
libmediainfo-19.04-1.fc28, mediaconch-18.03.2-7.fc28, mediainfo-19.04-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-7155125125

Comment 10 Fedora Update System 2019-05-16 03:25:58 UTC
libmediainfo-19.04-1.el6, mediainfo-19.04-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-2f5f6c5ba9

Comment 11 Fedora Update System 2019-05-16 04:39:32 UTC
libmediainfo-19.04-1.fc29, mediaconch-18.03.2-7.fc29, mediainfo-19.04-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-b7cf3236fb

Comment 12 Fedora Update System 2019-05-25 01:04:46 UTC
libmediainfo-19.04-1.fc30, mediaconch-18.03.2-7.fc30, mediainfo-19.04-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2019-05-25 01:10:44 UTC
libmediainfo-19.04-1.fc28, mediaconch-18.03.2-7.fc28, mediainfo-19.04-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2019-05-25 03:35:05 UTC
libmediainfo-19.04-1.fc29, mediaconch-18.03.2-7.fc29, mediainfo-19.04-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2019-05-31 00:40:44 UTC
libmediainfo-19.04-1.el6, mediainfo-19.04-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2019-05-31 00:42:03 UTC
libmediainfo-19.04-1.el7, mediaconch-18.03.2-7.el7, mediainfo-19.04-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.